Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesContext

    java.lang.Object
      javax.faces.context.FacesContext
          php.java.faces.PhpFacesContext

    public class PhpFacesContext

extends javax.faces.context.FacesContext

A custom FacesContext. Stores the baseURL, creates script engines.

Author:
  jostb

Constructor Summary
`PhpFacesContext(javax.faces.context.FacesContext facesContext, java.lang.Object kontext, java.lang.Object request, java.lang.Object response)`

Method Summary
`void` | `addMessage(java.lang.String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`java.lang.String` | `getBaseURL()`
`java.lang.String` | `getBaseURL(java.lang.String port)`
`java.util.Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`java.util.Iterator` | `getMessages()`
`java.util.Iterator` | `getMessages(java.lang.String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`ScriptEngine` | `getScriptEngine(java.lang.Object key, java.net.URL url)` Get a script engine
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot root)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesContext

    public PhpFacesContext(javax.faces.context.FacesContext facesContext,
                           java.lang.Object kontext,
                           java.lang.Object request,
                           java.lang.Object response)

Parameters:
  `facesContext` -

Method Detail

### getBaseURL

    public java.lang.String getBaseURL()

  Returns:
    The base URL, e.g. http://127.0.0.1:8080/JavaBridge

### getBaseURL

    public java.lang.String getBaseURL(java.lang.String port)

  Returns:
    The base URL, e.g. http://127.0.0.1:8080/JavaBridge

### getApplication

    public javax.faces.application.Application getApplication()

  Specified by:
    `getApplication` in class `javax.faces.context.FacesContext`

### getClientIdsWithMessages

    public java.util.Iterator getClientIdsWithMessages()

  Specified by:
    `getClientIdsWithMessages` in class `javax.faces.context.FacesContext`

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  Specified by:
    `getExternalContext` in class `javax.faces.context.FacesContext`

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

  Specified by:
    `getMaximumSeverity` in class `javax.faces.context.FacesContext`

### getMessages

    public java.util.Iterator getMessages()

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getMessages

    public java.util.Iterator getMessages(java.lang.String clientId)

  Specified by:
    `getMessages` in class `javax.faces.context.FacesContext`

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

  Specified by:
    `getRenderKit` in class `javax.faces.context.FacesContext`

### getRenderResponse

    public boolean getRenderResponse()

  Specified by:
    `getRenderResponse` in class `javax.faces.context.FacesContext`

### getResponseComplete

    public boolean getResponseComplete()

  Specified by:
    `getResponseComplete` in class `javax.faces.context.FacesContext`

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

  Specified by:
    `getResponseStream` in class `javax.faces.context.FacesContext`

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

  Specified by:
    `setResponseStream` in class `javax.faces.context.FacesContext`

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

  Specified by:
    `getResponseWriter` in class `javax.faces.context.FacesContext`

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

  Specified by:
    `setResponseWriter` in class `javax.faces.context.FacesContext`

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

  Specified by:
    `getViewRoot` in class `javax.faces.context.FacesContext`

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot root)

  Specified by:
    `setViewRoot` in class `javax.faces.context.FacesContext`

### addMessage

    public void addMessage(java.lang.String clientId,
                           javax.faces.application.FacesMessage message)

  Specified by:
    `addMessage` in class `javax.faces.context.FacesContext`

### release

    public void release()

  Specified by:
    `release` in class `javax.faces.context.FacesContext`

### renderResponse

    public void renderResponse()

  Specified by:
    `renderResponse` in class `javax.faces.context.FacesContext`

### responseComplete

    public void responseComplete()

  Specified by:
    `responseComplete` in class `javax.faces.context.FacesContext`

### getScriptEngine

    public ScriptEngine getScriptEngine(java.lang.Object key,
                                        java.net.URL url)
                                 throws java.net.UnknownHostException,
                                        ScriptException,
                                        java.io.IOException

  Get a script engine

  Parameters:
    `key` - The Script proxy
    `url` - The URL, for example getBaseURL() + "/foo.php";
  Returns:
    The script engine.
  Throws:
    `ScriptException`
    `java.io.IOException`
    `java.net.UnknownHostException`
  See Also:
    `getBaseURL()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD